%define major 3
%define lib_name %mklibname %{name} %{major}

Summary: SOAP (Simple Object Access Protocol) implementation
Name: soup
Version: 0.7.11
Release: 2mdk
License: GPL/LGPL
Group: System/Libraries
URL: http://www.gnome.org/
Source0: ftp://ftp.gnome.org/pub/GNOME/sources/soup/0.7/%{name}-%{version}.tar.bz2
BuildRoot: %{_tmppath}/%{name}-%{version}-buildroot
BuildRequires: libxml-devel
BuildRequires: libglib-devel
BuildRequires: openssl-devel
BuildRequires: apache-devel
BuildRequires: popt-devel

%description
Soup is a SOAP (Simple Object Access Protocol) implementation in C. 

It provides an queued asynchronous callback-based mechanism for sending and
servicing SOAP requests, and a WSDL (Web Service Definition Language) to C
compiler which generates client stubs and server skeletons for easily calling
and implementing SOAP methods.

%package -n %{lib_name}
Summary:        Libraries for soup
Group:          System/Libraries

%description -n %{lib_name}
Soup is a SOAP (Simple Object Access Protocol) implementation in C. 

It provides an queued asynchronous callback-based mechanism for sending and
servicing SOAP requests, and a WSDL (Web Service Definition Language) to C
compiler which generates client stubs and server skeletons for easily calling
and implementing SOAP methods.

This package contains libraries used by soup.

%package -n %{lib_name}-devel
Summary:        Development libraries, header files and utilities for soup
Group:          Development/GNOME and GTK+
Provides:		lib%{name}-devel = %{version}-%{release}
Provides:		%{name}-devel = %{version}-%{release}
Requires:		%{lib_name} = %{version}-%{release}
Requires:		libxml-devel
Requires:		libglib-devel

%description -n %{lib_name}-devel
Soup is a SOAP (Simple Object Access Protocol) implementation in C. 

It provides an queued asynchronous callback-based mechanism for sending and
servicing SOAP requests, and a WSDL (Web Service Definition Language) to C
compiler which generates client stubs and server skeletons for easily calling
and implementing SOAP methods.

This package contains the files necessary to develop applications with soup.

%prep
%setup -q

%build

%configure2_5x

#parallel compilation is broken
make

%install
rm -rf $RPM_BUILD_ROOT

%makeinstall_std

%clean
rm -rf $RPM_BUILD_ROOT

%post -n %{lib_name} -p /sbin/ldconfig

%postun -n %{lib_name} -p /sbin/ldconfig

%files
%defattr(-,root,root,-)
%doc README COPYING ChangeLog TODO AUTHORS INSTALL
%{_bindir}/soup-httpd
%{_bindir}/soup-ssl-proxy

%files -n %{lib_name}
%defattr(-,root,root,-)
%{_libdir}/*.so.*

%files -n %{lib_name}-devel
%defattr(-,root,root,-)
%doc %{_datadir}/gtk-doc/html/*
%{_bindir}/soup-config
%{_bindir}/soup-wsdl
%{_libdir}/*.so
%{_libdir}/*.la
%{_libdir}/*.a
%{_libdir}/*.sh
%{_libdir}/pkgconfig/*
%{_includedir}/*
%{_datadir}/aclocal/*


%changelog
* Wed May  7 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 0.7.11-2mdk
- fix BuildRequires
- mklibnamification

* Fri Feb  7 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 0.7.11-1mdk
- Release 0.7.11

* Thu Jan 16 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 0.7.10-2mdk
- Rebuild against latest openssl

* Mon Dec 16 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 0.7.10-1mdk
- Release 0.7.10

* Thu Nov 14 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 0.7.9-1mdk
- Release 0.7.9

* Wed Nov  6 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 0.7.4-1mdk
- Initial Mandrake package


